
TYPO3.Neos - Bug # 47224

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Bastian Waidelich Category:
Created: 2013-04-15 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Neos creates "unstructured" nodes on error
Description

When an error occurs during insertion of content elements in the content module (e.g. some exception when inserting a plugin) Neos
displays this exception nicely as notification:

ExtDirect error: Uncaught exception ...

At the same time the CE node is created with nodetype = "unstructured" breaking everything on reload.
The only way to restore neos is (AFAIK) to remove the broken node from the database manually..

History
#1 - 2013-05-01 21:55 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20391

#2 - 2013-05-01 21:55 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20391

#3 - 2013-05-11 19:54 - Christian Müller
- Status changed from New to Resolved

As the change was merged, I set the ticket to resolved.

#4 - 2013-05-14 10:39 - Aske Ertmann
- % Done changed from 0 to 100

#5 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
